## org.eclipse.emf.cdo.common.revision
Interface CDORevision

All Known Subinterfaces:
  InternalCDORevision

All Known Implementing Classes:
  AbstractCDORevision

    public interface CDORevision

Field Summary
`static int` `UNCHUNKED`
`static long` `UNSPECIFIED_DATE`
`static int` `UNSPECIFIED_VERSION`

Method Summary
`CDORevisionDelta` `compare(CDORevision origin)`
`CDORevision` `copy()`
`CDORevisionData` `data()`
`long` `getCreated()`
`org.eclipse.emf.ecore.EClass` `getEClass()`
`CDOID` `getID()`
`long` `getRevised()`
`int` `getVersion()`
`boolean` `isCurrent()`
`boolean` `isResource()`
`boolean` `isResourceFolder()`
`boolean` `isResourceNode()`
`boolean` `isTransactional()`
`boolean` `isValid(long timeStamp)`
`void` `merge(CDORevisionDelta delta)`

Field Detail

### UNSPECIFIED_DATE

    static final long UNSPECIFIED_DATE

See Also:
  Constant Field Values

### UNSPECIFIED_VERSION

    static final int UNSPECIFIED_VERSION

Since:
  2.0
See Also:
  Constant Field Values

### UNCHUNKED

    static final int UNCHUNKED

See Also:
  Constant Field Values

Method Detail

### getEClass

    org.eclipse.emf.ecore.EClass getEClass()

  Since:
    2.0

### getID

    CDOID getID()

### getVersion

    int getVersion()

### getCreated

    long getCreated()

### getRevised

    long getRevised()

### isCurrent

    boolean isCurrent()

### isValid

    boolean isValid(long timeStamp)

### isTransactional

    boolean isTransactional()

### isResourceNode

    boolean isResourceNode()

  Since:
    2.0

### isResourceFolder

    boolean isResourceFolder()

  Since:
    2.0

### isResource

    boolean isResource()

### data

    CDORevisionData data()

  Since:
    2.0

### compare

    CDORevisionDelta compare(CDORevision origin)

### merge

    void merge(CDORevisionDelta delta)

### copy

    CDORevision copy()

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.